Net::DNS::RR::AFSDB(3)

NAME
Net::DNS::RR::AFSDB - DNS AFSDB resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name AFSDB subtype hostname');

DESCRIPTION
Class for DNS AFS Data Base (AFSDB) resource records.

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  subtype
    $subtype = $rr->subtype;
    $rr->subtype( $subtype );

A 16 bit integer which indicates the service offered by the listed host.

  hostname
    $hostname = $rr->hostname;
    $rr->hostname( $hostname );

The hostname field is a domain name of a host that has a server for the cell named by the owner name of the RR.

COPYRIGHT
Copyright (c)1997-1998 Michael Fuhr.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC1183, RFC5864